var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { Fragment, h } from '@stencil/core';
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
/** renders a file uploader component with specified properties. */
export class VegaFileUploaderRenderer extends VegaSlimmer {
  /**
   * The render function returns a JSX element that includes a field label, file uploader button, hint, and file list renderer.
   *
   * @returns {HTMLElement} An HTMLElement containing a fragment with a vega-field-label component, a
   * vegaFileUploaderContainerRenderer element, a vega-hint component (if hint is provided), and a vegaFileUploaderFileListRenderer element.
   */
  render() {
    return (h(Fragment, null,
      h("vega-field-label", { isFieldRequired: this.required, disabled: this.disabled, label: this.label }),
      this.vegaFileUploaderContainerRenderer.render(),
      this.hint ? h("vega-hint", null, this.hint) : null,
      this.vegaFileUploaderFileListRenderer.render()));
  }
}
__decorate([
  MapToComponentField()
], VegaFileUploaderRenderer.prototype, "required", void 0);
__decorate([
  MapToComponentField()
], VegaFileUploaderRenderer.prototype, "disabled", void 0);
__decorate([
  MapToComponentField()
], VegaFileUploaderRenderer.prototype, "label", void 0);
__decorate([
  MapToComponentField()
], VegaFileUploaderRenderer.prototype, "hint", void 0);
__decorate([
  MapToComponentField()
], VegaFileUploaderRenderer.prototype, "vegaFileUploaderContainerRenderer", void 0);
__decorate([
  MapToComponentField()
], VegaFileUploaderRenderer.prototype, "vegaFileUploaderFileListRenderer", void 0);
